﻿@model InsertPetViewModel

<div class="row">
    <div class="col-md-4">
        <form asp-controller="Pet" asp-action="Insert" method="post">
            <h4><i class="fa fa-paw fa-fw"></i> Unesite podatke ljubimca</h4>
            <hr />

            <div class="form-group">
                @Html.Label(null, "Vlasnik", new { style = "font-weight:bold" })
                @Html.Label(null, $"{@Model.Owner.FirstName} {@Model.Owner.LastName} ({Model.Owner.UserName})", new { @class = "form-control", disabled = "disabled", @readonly = "readonly" })
            </div>

            <hr />

            <div class="form-group">
                @Html.Label(null, "Vrsta:", new { style = "font-weight:bold" })
                @{
                    var petTypeOptions = new List<SelectListItem>();
                    foreach (var item in Model.AllPetTypes)
                    {
                        petTypeOptions.Add(new SelectListItem() { Text = item.TypeName, Value = item.PetTypeId.ToString(), Disabled = false });
                    }
                }
                @Html.DropDownListFor(m => m.PetType.PetTypeId,
                        new SelectList(petTypeOptions, "Value", "Text"), new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.PetType, "", new { @class = "text-danger" })
            </div>

            <div class="form-group">
                @Html.Label(null, "Pol:", new { style = "font-weight:bold" })
                <br />
                @foreach (var item in @Model.AllGenders)
                {
                    @Html.RadioButtonFor(m => m.Gender, $"{item}", false) @Html.Label(null, $"{item}", new { style = "font-weight:bold; margin-right:15px; margin-left:5px" })
                }
                @Html.ValidationMessageFor(m => m.Gender, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Name", "Ime", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Name, new { @class = "form-control", @placeholder = "Unesite ime..." })
                @Html.ValidationMessageFor(m => m.Name, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Race", "Rasa", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Race, new { @class = "form-control", @placeholder = "Unesite rasu..." })
                @Html.ValidationMessageFor(m => m.Race, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Color", "Boja", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Color, new { @class = "form-control", @placeholder = "Unesite boju dlake..." })
                @Html.ValidationMessageFor(m => m.Color, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("MicrochipNumber", "Broj mikročipa", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.MicrochipNumber, new { @class = "form-control", @placeholder = "Unesite broj mikročipa..." })
                @Html.ValidationMessageFor(m => m.MicrochipNumber, "", new { @class = "text-danger" })
            </div>
            <div class="form-group input-group-sm">
                @Html.Label("PassportNumber", "Broj pasoša", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.PassportNumber, new { @class = "form-control", @placeholder = "Unesite broj pasoša..." })
                @Html.ValidationMessageFor(m => m.PassportNumber, "", new { @class = "text-danger" })
            </div>
            <div class="form-group input-group-sm">
                @Html.Label("DateOfBirth", "Datum rođenja", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.DateOfBirth, new { type = "date", @class = "form-control datepicker", @placeholder = "Unesite datum rođenja..." })
                @Html.ValidationMessageFor(m => m.DateOfBirth, "", new { @class = "text-danger" })
            </div>

            <button type="submit" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-check fa-sm" aria-hidden="true"></i> Sačuvaj</button>
            <a href="javascript:history.back()" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-danger btn-sm"><i class="fa fa-times fa-sm" aria-hidden="true"></i> Poništi</a>
        </form>       
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}